import { filesize } from "filesize";
import * as Styles from "./style";
import * as React from "react";
import { useMemo } from "react";
import SvgFromUrl from "../../SvgFromUrl";
function GenericAttachment(props) {
    const icon = useMemo(() => {
        var _a;
        switch ((_a = props.icon) !== null && _a !== void 0 ? _a : "unknown") {
            case "archive":
                return "FileArchive";
            case "audio":
                return "FileAudio";
            case "sketch":
                return "FileSketch";
            case "acrobat":
                return "FileAcrobat";
            case "ae":
                return "FileAe";
            case "ai":
                return "FileAi";
            case "code":
                return "FileCode";
            case "document":
                return "FileDocument";
            case "spreadsheet":
                return "FileSpreadsheet";
            case "webcode":
                return "FileWebCode";
            default:
                return "FileUnknown";
        }
    }, [props.icon]);
    return (React.createElement(Styles.AttachmentContainer, { withoutChildren: props.children === undefined },
        React.createElement(SvgFromUrl, { svg: icon, width: 30, height: 40 }),
        React.createElement(Styles.AttachmentMetadata, null,
            React.createElement(Styles.AttachmentFileName, { rel: "noreferrer noopener", target: "_blank", href: props.attachment.url }, props.attachment.filename),
            React.createElement(Styles.AttachmentFileSize, null, filesize(props.attachment.size, { base: 2 }))),
        React.createElement(Styles.DownloadIcon, { rel: "noreferrer noopener", target: "_blank", href: props.attachment.url },
            React.createElement(SvgFromUrl, { svg: "IconDownload", width: 24, height: 24 })),
        props.children && (React.createElement(Styles.ExtraUserInterface, null, props.children))));
}
export default GenericAttachment;
//# sourceMappingURL=GenericAttachment.js.map