import * as Styles from "./style";
import React, { useState } from "react";
import useSize from "../Attachment/useSize";
import { getSvgUrl } from "../../core/svgs";
import VideoAttachment from "../Attachment/VideoAttachment";
function ThumbnailWrapper({ thumbnail, width, height, children, }) {
    const [hideThumbnail, setHideThumbnail] = useState(false);
    const [error, setError] = useState(false);
    const { width: adjustedWidth, height: adjustedHeight } = useSize(width, height);
    if (!thumbnail || hideThumbnail)
        return React.createElement(React.Fragment, null, children);
    const discordImageFailure = getSvgUrl("MiscDiscordImageFailure");
    return (React.createElement(Styles.VideoThumbnail, { onClick: () => setHideThumbnail(true), onError: () => setError(true), style: {
            width: adjustedWidth,
            height: adjustedHeight,
            backgroundImage: `url(${error ? discordImageFailure : thumbnail})`,
        } },
        React.createElement(Styles.VideoThumbnailPlayButtonContainer, null,
            React.createElement(Styles.VideoThumbnailPlayButton, { width: 12, height: 12, svg: "IconPlay" }))));
}
function EmbedVideo(props) {
    if (props.proxyUrl !== undefined)
        return (React.createElement(ThumbnailWrapper, { thumbnail: props.thumbnail, width: props.width, height: props.height },
            React.createElement(VideoAttachment, { attachmentOrEmbed: {
                    width: props.width,
                    height: props.height,
                    url: props.proxyUrl,
                } })));
    const url = new URL(props.url);
    url.searchParams.set("autoplay", "1");
    url.searchParams.set("auto_play", "1");
    return (React.createElement(ThumbnailWrapper, { thumbnail: props.thumbnail, width: props.width, height: props.height },
        React.createElement(Styles.VideoIframe, { width: 400, height: 225, src: url.toString(), allowFullScreen: true })));
}
export default EmbedVideo;
//# sourceMappingURL=EmbedVideo.js.map