var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as Styles from "./style";
import React, { Fragment, useMemo } from "react";
import emoji from "react-easy-emoji";
import { emojiCss } from "./style";
import Tooltip from "../Tooltip";
import { findDefaultEmojiByUnicode } from "../emojiData";
import { commonComponentId, styled } from "../Stitches/stitches.config";
function EmojiTooltip({ children, disabled, key, tooltipContent, }) {
    if (disabled)
        return React.createElement(React.Fragment, null, children);
    return (React.createElement(Tooltip, { key: key, placement: "top", overlay: `:${tooltipContent}:`, mouseEnterDelay: 0.6, mouseLeaveDelay: 0 }, children));
}
function Emoji(_a) {
    var { src, disableTooltip, emojiName, enlarged } = _a, props = __rest(_a, ["src", "disableTooltip", "emojiName", "enlarged"]);
    const defaultEmoji = useMemo(() => findDefaultEmojiByUnicode(emojiName), [emojiName]);
    if (src !== undefined)
        return (React.createElement(EmojiTooltip, { tooltipContent: emojiName, disabled: disableTooltip },
            React.createElement(Styles.Emoji, Object.assign({}, props, { enlarged: enlarged, src: src, alt: emojiName }))));
    if (defaultEmoji === undefined)
        return React.createElement(React.Fragment, null, emojiName);
    return emoji(defaultEmoji.emoji, (code, string, key) => (React.createElement(Fragment, { key: key },
        React.createElement(EmojiTooltip, { tooltipContent: defaultEmoji.keywords[0], disabled: disableTooltip },
            React.createElement(Styles.Emoji, Object.assign({}, props, { enlarged: enlarged, src: `https://cdn.jsdelivr.net/gh/twitter/twemoji/assets/svg/${code}.svg`, alt: string }))))));
}
export const Twemoji = styled.withConfig({
    displayName: "twemoji",
    componentId: commonComponentId,
})(Emoji, emojiCss);
export default Emoji;
//# sourceMappingURL=index.js.map