import * as Styles from "./style";
import React from "react";
import SvgFromUrl from "../../SvgFromUrl";
import { ButtonStyle } from "discord-api-types/v10";
import Emoji from "../../Emoji";
import { useConfig } from "../../core/ConfigContext";
const buttonStyleMap = {
    [ButtonStyle.Primary]: "primary",
    [ButtonStyle.Secondary]: "secondary",
    [ButtonStyle.Link]: "secondary",
    [ButtonStyle.Danger]: "danger",
    [ButtonStyle.Success]: "success",
};
function ButtonComponent({ button, message }) {
    const { messageComponentButtonOnClick } = useConfig();
    if ("url" in button) {
        return (React.createElement(Styles.ButtonComponent, { as: "a", href: button.url, buttonStyle: buttonStyleMap[button.style] },
            React.createElement(Styles.ButtonComponentContent, null,
                button.emoji && (React.createElement(Emoji, { emojiName: button.emoji.name, src: button.emoji.id &&
                        `https://cdn.discordapp.com/emojis/${button.emoji.id}.${button.emoji.animated ? "gif" : "png"}` })),
                button.label,
                React.createElement(SvgFromUrl, { width: 16, height: 16, svg: "IconLinkExternal" }))));
    }
    return (React.createElement(Styles.ButtonComponent, { buttonStyle: buttonStyleMap[button.style], onClick: () => messageComponentButtonOnClick === null || messageComponentButtonOnClick === void 0 ? void 0 : messageComponentButtonOnClick(message, button.custom_id) },
        React.createElement(Styles.ButtonComponentContent, null,
            button.emoji && (React.createElement(Emoji, { emojiName: button.emoji.name, src: button.emoji.id &&
                    `https://cdn.discordapp.com/emojis/${button.emoji.id}.${button.emoji.animated ? "gif" : "png"}` })),
            button.label)));
}
export default ButtonComponent;
//# sourceMappingURL=ButtonComponent.js.map