import * as Styles from "./style";
import React, { useCallback, useMemo } from "react";
import Tooltip from "../../Tooltip";
import { findDefaultEmojiByUnicode } from "../../emojiData";
function Reaction(props) {
    const emojiUrl = useMemo(() => {
        if (props.reaction.emoji.id === null)
            return null;
        return `https://cdn.discordapp.com/emojis/${props.reaction.emoji.id}.${props.reaction.emoji.animated ? "gif" : "webp"}?v=1&size=32&quality=lossless`;
    }, [props.reaction.emoji.id, props.reaction.emoji.animated]);
    const Emoji = useCallback(() => {
        var _a, _b, _c;
        const url = `https://cdn.discordapp.com/emojis/${props.reaction.emoji.id}.${props.reaction.emoji.animated ? "gif" : "webp"}?v=1&size=64&quality=lossless`;
        return (React.createElement(Styles.ReactionTooltip, null,
            props.reaction.emoji.id !== null ? (React.createElement(Styles.ReactionEmoji, { emojiName: props.reaction.emoji.name, src: url, disableTooltip: true, enlarged: true })) : (React.createElement(Styles.ReactionEmoji, { emojiName: props.reaction.emoji.name, disableTooltip: true, enlarged: true })),
            ":",
            props.reaction.emoji.id !== null
                ? props.reaction.emoji.name
                : (_c = (_b = (_a = findDefaultEmojiByUnicode(props.reaction.emoji.name)) === null || _a === void 0 ? void 0 : _a.keywords) === null || _b === void 0 ? void 0 : _b[0]) !== null && _c !== void 0 ? _c : "unknown emoji",
            ":"));
    }, [
        props.reaction.emoji.animated,
        props.reaction.emoji.id,
        props.reaction.emoji.name,
    ]);
    return (React.createElement(Tooltip, { overlay: React.createElement(Emoji, null), placement: "top", mouseEnterDelay: 0.5 },
        React.createElement(Styles.Reaction, null,
            emojiUrl ? (React.createElement(Styles.ReactionEmoji, { src: emojiUrl, emojiName: props.reaction.emoji.name, disableTooltip: true })) : (React.createElement(Styles.ReactionEmoji, { emojiName: props.reaction.emoji.name, disableTooltip: true })),
            React.createElement(Styles.ReactionCount, null, props.reaction.count))));
}
export default Reaction;
//# sourceMappingURL=Reaction.js.map