import { PureComponent } from "react";
import * as Styles from "./style/message";
import Tooltip from "../Tooltip";
import webpCheck from "../utils/webpCheck";
import { memoize } from "lodash";
import * as React from "react";
import { Twemoji } from "../Emoji";
class RoleIcon extends PureComponent {
    constructor() {
        super(...arguments);
        this.getRoleIcon = memoize((icon, roleId) => webpCheck(`https://cdn.discordapp.com/role-icons/${roleId}/${icon}.webp`));
    }
    render() {
        if (this.props.role === null ||
            (this.props.role.icon === null && this.props.role.unicode_emoji === null))
            return null;
        if (this.props.role.unicode_emoji !== null)
            return (React.createElement(Tooltip, { overlay: this.props.role.name, placement: "top" },
                React.createElement("span", null,
                    React.createElement(Styles.RoleIcon, { as: Twemoji, disableTooltip: true, emojiName: this.props.role.unicode_emoji }, this.props.role.unicode_emoji))));
        const iconUrl = this.getRoleIcon(this.props.role.icon, this.props.role.id);
        return (React.createElement(Tooltip, { overlay: this.props.role.name, placement: "top" },
            React.createElement(Styles.RoleIcon, { src: iconUrl })));
    }
}
export default RoleIcon;
//# sourceMappingURL=RoleIcon.js.map