var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import * as React from "react";
import * as Styles from "../../../../markdown/render/elements/code/style";
class Highlighter extends React.Component {
    constructor() {
        super(...arguments);
        this.mounted = true;
        this.state = {
            highlightedCode: null,
        };
    }
    componentWillUnmount() {
        this.mounted = false;
    }
    componentDidMount() {
        this.highlightCode();
    }
    componentDidUpdate(prevProps) {
        // If the text changed make sure to reset the state
        // This way we ensure that the new text is immediately displayed.
        if (prevProps.children !== this.props.children) {
            this.setState({ highlightedCode: null });
            return;
        }
        // Do not call highlight.js if we already have highlighted code
        // If the children changed highlightedCode will be null
        if (this.state.highlightedCode)
            return;
        void this.highlightCode();
    }
    highlightCode() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const language = this.props.language;
                const code = this.props.children;
                if (!language)
                    return;
                const { default: hljs } = yield import(
                /* webpackChunkName: "highlight.js" */ "highlight.js");
                if (!hljs.getLanguage(language))
                    return;
                const highlightedCode = hljs.highlight(language, code, true).value;
                if (this.mounted)
                    this.setState({ highlightedCode });
            }
            catch (e) { }
        });
    }
    render() {
        const { highlightedCode } = this.state;
        const initialCode = this.props.children;
        return highlightedCode ? (React.createElement(Styles.CodeBlock, { dangerouslySetInnerHTML: { __html: highlightedCode } })) : (React.createElement(Styles.CodeBlock, null, initialCode));
    }
}
export default Highlighter;
//# sourceMappingURL=loader.js.map