import * as Styles from "./style";
import * as React from "react";
import { useConfig } from "../../../../core/ConfigContext";
import SimpleMarkdown from "simple-markdown";
function RoleMention({ roleId }) {
    const { resolveRole, roleMentionOnClick } = useConfig();
    const role = resolveRole(roleId);
    if (!role) {
        return React.createElement(React.Fragment, null, "@deleted-role");
    }
    const red = (role.color & 16711680) >> 16;
    const green = (role.color & 65280) >> 8;
    const blue = role.color & 255;
    return (React.createElement(Styles.Mention, { style: {
            color: `rgb(${red}, ${green}, ${blue})`,
            backgroundColor: `rgba(${red}, ${green}, ${blue}, 0.1)`,
        }, onClick: () => roleMentionOnClick === null || roleMentionOnClick === void 0 ? void 0 : roleMentionOnClick(role), canBeClicked: roleMentionOnClick !== undefined },
        React.createElement(Styles.MentionIcon, null, "@"),
        role.name));
}
export const roleMention = {
    order: SimpleMarkdown.defaultRules.text.order,
    match: (source) => /^<@&([0-9]+?)>/.exec(source),
    parse: ([, id]) => ({ id }),
    react: ({ id }, recurseParse, state) => (React.createElement(RoleMention, { roleId: id, key: state.key })),
};
//# sourceMappingURL=roleMention.js.map