import * as Styles from "./style";
import * as React from "react";
import { useConfig } from "../../../../core/ConfigContext";
import SimpleMarkdown from "simple-markdown";
import getDisplayName from "../../../../utils/getDisplayName";
function UserMention({ userId }) {
    const { resolveUser, userMentionOnClick } = useConfig();
    // todo: resolve current channel to resolve member
    const user = resolveUser(userId);
    const text = user ? getDisplayName(user) : "Unknown User";
    return (React.createElement(Styles.Mention, { onClick: () => userMentionOnClick === null || userMentionOnClick === void 0 ? void 0 : userMentionOnClick(user), canBeClicked: userMentionOnClick !== undefined },
        React.createElement(Styles.MentionIcon, null, "@"),
        text));
}
export const userMention = {
    order: SimpleMarkdown.defaultRules.text.order,
    match: (source) => /^<@!?([0-9]+?)>/.exec(source),
    parse: ([, id]) => ({ id }),
    react: ({ id }, recurseParse, state) => (React.createElement(UserMention, { userId: id, key: state.key })),
};
//# sourceMappingURL=userMention.js.map